function loadData()
h=gcf

title='Select data file';
[file, path] = uigetfile( ...
    {'*.mat','MatFiles (*.mat)'; ...
        '*.*',  'All Files (*.*)'}, title);



if isequal(file,0)|isequal(path,0)
    disp('File not found')
    return;
else
    eval(['load ',path,file]);
  
    if (~exist('ds'))
       disp('Bad data file');
       return; 
    end
   
end

set(h,'UserData',ds);
displayMarked(h,[1]);

